Files
agnos-builder/userspace/root/etc/initscripts/wlan
T
Adeeb Shihadeh fe3c65b79f unpack the debs (#562)
* unpack the debs

* update rest

* ignore
2026-04-30 12:54:27 -07:00

93 lines
2.6 KiB
Bash
Executable File

#!/bin/sh
#
# Copyright (c) 2017, The Linux Foundation. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
# * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
# * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following
# disclaimer in the documentation and/or other materials provided
# with the distribution.
# * Neither the name of The Linux Foundation nor the names of its
# contributors may be used to endorse or promote products derived
# from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
# BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
# OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#It is for sda845-ubuntu
export MODULE_BASE=/lib/modules/`uname -r`
export RETRY_LIMIT=3
HELP="Usage $0 {start | stop | restart} <ap | sta>"
DUMP_TO_KMSG=/dev/kmsg
do_ctrl_nl80211() {
case "$1" in
start)
echo "Starting WLAN... $@" > $DUMP_TO_KMSG
shift
set -e
insmod $MODULE_BASE/extra/wlan.ko $@
set +e
c=1
ifconfig wlan0 up 2> /dev/null
rc=$?
while [ $rc -ne 0 -a $c -le $RETRY_LIMIT ]; do
sleep 1
ifconfig wlan0 up 2> /dev/null
rc=$?
c=`expr $c + 1`
done
if [ $c -gt $RETRY_LIMIT ]; then
echo "WLAN bring-up failed!" > $DUMP_TO_KMSG
exit 1
fi
;;
stop)
echo "Stopping WLAN..." > $DUMP_TO_KMSG
ifconfig wlan0 down
rmmod wlan
;;
restart)
do_ctrl_nl80211 stop
shift
do_ctrl_nl80211 start $@
return $?
;;
*)
return 1
;;
esac
return 0
}
do_ctrl_nl80211 $@
if [ $? -ne 0 ]; then
echo $HELP >&2
exit 1
fi
exit 0